List Deployments

List Deployments in an Organization.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

deploymentIdsstringRequired
A list of IDs for Deployments to show. The API returns details only for the specified Deployments. <br> <Tip> To list multiple Deployments, you must string together the parameter with the `deploymentIds`. For example, `deployments?deploymentIds=deploymentId1&deploymentIds=deploymentId2`</Tip>
organizationIdstringRequired

Query parameters

deploymentIdsstringOptional
A list of IDs for Deployments to show. The API returns details only for the specified Deployments.
namesstringOptional
A list of names for Deployments to filter by. The API returns details only for the specified Deployments.
workspaceIdsstringOptional
A list of IDs for Workspaces to filter on. The API returns details for all Deployments belonging only to the specified Workspaces.
offsetintegerOptional>=0Defaults to 0
The number of results to skip before returning values.
limitintegerOptional>=0Defaults to 20
The maximum number of results to return.
sortsenumOptional

A list of field names to sort by, and whether to show results as ascending or descending. Formatted as <fieldName>:asc or <fieldName>:desc.

Response

OK
deploymentslist of objects
A list of Deployments in the current page.
limitinteger
The maximum number of Deployments in one page.
offsetinteger
The offset of the current page of Deployments.
totalCountinteger
The total number of Deployments.

Errors

400
List Deployments Request Bad Request Error
401
List Deployments Request Unauthorized Error
403
List Deployments Request Forbidden Error
500
List Deployments Request Internal Server Error